%define oname gtk-sharp
%define monodir %_prefix/lib/mono

%define major	0
%define libname	%mklibname mono-profiler-gui-thread-check %{major}

Summary:	C# language binding for the gtk+ 3.0 toolkit
Name:		gtk-sharp3
Version:	2.99.3
Release:	%mkrel 10
License:	LGPLv2
Group:		Development/C#
URL:		http://gtk-sharp.sourceforge.net/
Source0:	https://download.gnome.org/sources/gtk-sharp/2.99/%{oname}-%{version}.tar.xz
Patch0:         gtk-sharp-profiler-startup.patch
Patch1:         gtk-range-vs-mono-range-ambiguous.patch
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(mono) >= 2.8
BuildRequires:	pkgconfig(pango)
BuildRequires:	monodoc

%description
Gtk-sharp is a C# language binding for the gtk+ 3.0 toolkit.

%package devel
Summary:	C# code generation tools for %name
Group:		Development/C#
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	gtk-sharp3 < 2.99.3-6

%description devel
This contains the code generation tools of gtk-sharp. It is needed for building
C# wrappers for GObject APIs.

%package -n glib-sharp3
Summary:        C# binding for glib
Group:          Development/C#

%description -n glib-sharp3
Glib-sharp is a C# language binding for glib.

%package -n glib-sharp3-devel
Summary:	Development files for glib-sharp3
Group:		Development/C#
Requires:	glib-sharp3 = %{version}-%{release}
Conflicts:	glib-sharp3 < 2.99.3-6
Conflicts:	gtk-sharp3-devel < 2.99.3-6

%description -n glib-sharp3-devel
Development files for glib-sharp3.

%package -n atk-sharp3
Summary:        C# binding for atk
Group:          Development/C#

%description -n atk-sharp3
Atk-sharp is a C# language binding for atk.

%package -n cairo-sharp3
Summary:	C# binding for cairo
Group:		Development/C#

%description -n cairo-sharp3
Cairo-sharp is a C# language binding for cairo.

%package -n pango-sharp3
Summary:        C# binding for pango
Group:          Development/C#

%description -n pango-sharp3
Pango-sharp is a C# language binding for pango.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/C#
BuildArch:	noarch
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp.

%package -n %{libname}
Summary:	Profiler for gtk-sharp3
Group:		System/Libraries
Conflicts:	gtk-sharp3 < 2.99.3-6

%description -n %{libname}
This package provides the gui-thread-check Mono profiler library.

Library is used to find incorrect thread usage in GTK# applications.
The gui-thread-check library is only activated if explicitly passed
to the Mono runtime by adding --profile=gui-thread-check as parameter.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
sed -i 's!gmcs!mcs!' configure*
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%{monodir}/gac/gdk-sharp
%{monodir}/gac/gtk-dotnet
%{monodir}/gac/gtk-sharp
%{monodir}/gtk-sharp-3.0/gdk-sharp.dll
%{monodir}/gtk-sharp-3.0/gtk-dotnet.dll
%{monodir}/gtk-sharp-3.0/gtk-sharp.dll
%{_libdir}/libgtksharpglue-3.so

%files -n glib-sharp3
%{monodir}/gac/gio-sharp
%{monodir}/gac/glib-sharp
%{monodir}/gtk-sharp-3.0/gio-sharp.dll
%{monodir}/gtk-sharp-3.0/glib-sharp.dll

%files -n glib-sharp3-devel
%{_libdir}/libgiosharpglue-3.so
%{_libdir}/pkgconfig/gio-sharp-3.0.pc
%{_libdir}/pkgconfig/glib-sharp-3.0.pc
%{_datadir}/gapi-3.0/gio-api.xml
%{_datadir}/gapi-3.0/glib-api.xml

%files -n pango-sharp3
%{monodir}/gac/pango-sharp
%{monodir}/gtk-sharp-3.0/pango-sharp.dll
%{_libdir}/libpangosharpglue-3.so

%files -n cairo-sharp3
%{monodir}/gac/cairo-sharp
%{monodir}/gtk-sharp-3.0/cairo-sharp.dll

%files -n atk-sharp3
%{monodir}/gac/atk-sharp
%{monodir}/gtk-sharp-3.0/atk-sharp.dll
%{_libdir}/libatksharpglue-3.so

%files devel
%{_bindir}/gapi3-codegen
%{_bindir}/gapi3-fixup
%{_bindir}/gapi3-parser
%{_prefix}/lib/gapi-3.0/gapi-fixup.exe
%{_prefix}/lib/gapi-3.0/gapi-parser.exe
%{_prefix}/lib/gapi-3.0/gapi2xml.pl
%{_prefix}/lib/gapi-3.0/gapi_codegen.exe
%{_prefix}/lib/gapi-3.0/gapi_pp.pl
%{_libdir}/pkgconfig/gapi-3.0.pc
%{_libdir}/pkgconfig/gtk-dotnet-3.0.pc
%{_libdir}/pkgconfig/gtk-sharp-3.0.pc
%{_libdir}/pkgconfig/gdk-sharp-3.0.pc
%{_datadir}/gapi-3.0/atk-api.xml
%{_datadir}/gapi-3.0/gdk-api.xml
%{_datadir}/gapi-3.0/gtk-api.xml
%{_datadir}/gapi-3.0/pango-api.xml
%{_datadir}/gapi-3.0/gapi.xsd
%{_libdir}/libmono-profiler-gui-thread-check.so

%files doc
%{_prefix}/lib/monodoc/sources/gtk-sharp-3-docs.source
%{_prefix}/lib/monodoc/sources/gtk-sharp-3-docs.tree
%{_prefix}/lib/monodoc/sources/gtk-sharp-3-docs.zip

%files -n %{libname}
%{_libdir}/libmono-profiler-gui-thread-check.so.%{major}
%{_libdir}/libmono-profiler-gui-thread-check.so.%{major}.*



%changelog
* Mon Sep 21 2020 tv <tv> 2.99.3-10.mga8
+ Revision: 1629208
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 matteo <matteo> 2.99.3-9.mga8
+ Revision: 1628852
- fix build against new mono-6.10
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.99.3-7.mga7
+ Revision: 1298126
- Mageia 7 Mass Rebuild

* Fri Aug 19 2016 wally <wally> 2.99.3-6.mga6
+ Revision: 1047054
- add gui-thread-check Mono profiler library pkg
- move pkg-config files to devel pkg
- add glib-sharp3-devel pkg
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 tv <tv> 2.99.3-4.mga6
+ Revision: 907869
- fix finding mono4 compiler
- rebuild for mono4

* Sat Jan 24 2015 anaselli <anaselli> 2.99.3-3.mga5
+ Revision: 812145
- missed gdk-sharp-3.0.pc
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- new version 2.99.3

* Thu Jan 02 2014 pterjan <pterjan> 2.99.2-1.mga4
+ Revision: 564005
- Update to 2.99.2, fixes some banshee crash

* Mon Oct 21 2013 umeabot <umeabot> 2.99.1-2.mga4
+ Revision: 540467
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 ovitters <ovitters> 2.99.1-1.mga4
+ Revision: 493594
- new version 2.99.1

* Sat Jan 12 2013 umeabot <umeabot> 2.99.0-2.mga3
+ Revision: 352851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 fwang <fwang> 2.99.0-1.mga3
+ Revision: 309887
- update file list
- update file list
- imported package gtk-sharp3

